Forum Linux.debian/ubuntu service web sur linux

Posté par .
Tags : aucun
1
25
sept.
2012

Bonjour je travail sur linux depuis peu, et j'ai déjà acquis de bonne sur la gestion système et réseau.

Actuellement je travail sur la VoIP avec asterisk, et j'aimerai développer un service web me permettant de telephoner depuis une interface web sur le serveur asterisk.

Je veux réaliser un une plateforme permettant aux client de telephoner gratuitement nos services.

Mais je ne sais par ou commencer.

j'ai un serveur avec site.
j'ai mon serveur asterisk.

Comment aborder j'ai besoin d'aide…

  • # Pas très clair

    Posté par . Évalué à 2.

    J'ai pas bien compris si tu veux faire du click-to-call ou si tu veux une sorte de client SIP dans ton navigateur.
    Si c'est le premier cas, une petite recherche sur google ("click to call" ou "click to dial" + asterisk) te donnera beaucoup de réponse, dans le deuxième je ne sais pas.

  • # sipml5

    Posté par . Évalué à 2.

    http://sipml5.org/

    Je n'ai pas essayé, mais ça a l'air pas mal (javascript, HTML5, open source), mais ça utilise les websockets, qui n'ont pas l'air d'être implémentés dans firefox (mais chromium oui).

    • [^] # Re: sipml5

      Posté par . Évalué à 2.

      les websockets, qui n'ont pas l'air d'être implémentés dans firefox (mais chromium oui)

      C'est de la pub pour Chromium ou du FUD envers Firefox ? ;)

      https://developer.mozilla.org/en-US/docs/WebSockets

      Bon, effectivement ce n'est qu'à partir de la version 10 de Firefox.

      • [^] # Re: sipml5

        Posté par . Évalué à 1.

        Pas du tout, je préfères d'ailleurs firefox iceweasel.
        Au temps pour moi, c'est le WebRTC (toujours pas dans ma version 15).

        • [^] # Re: sipml5

          Posté par . Évalué à 2. Dernière modification le 26/09/12 à 10:50.

          Tiens par contre il y a ça sur Wikipédia :

          Une faille de sécurité a été découverte au sein de l'API, qui remet en cause la sécurité de la navigation en remplaçant lors de la phase de « handshake » un fichier JavaScript par un malware. Cette faille se situant au niveau de l'API elle-même et ne pouvant être corrigée par un quelconque correctif au sein du navigateur, Firefox 4, Opera 11 et Internet Explorer 9 ne supporteront pas WebSocket tant que la faille n'aura pas été comblée.

          Mozilla et Opera ont annoncé que les versions 4 de Firefox et 11 d'Opera respectivement ne supporteraient pas WebSocket (cependant WebSocket pourrait être réimplanté dans Firefox 6 en attendant une révision de la norme). Apple et Google doivent encore se prononcer, tandis que Microsoft n’a rien à dire de particulier : le support de WebSocket n’est pas assuré par Internet Explorer 9.

          http://www.pcinpact.com/news/60786-html5-websocket-mozilla-opera-arret-support.htm

          https://hacks.mozilla.org/2011/05/aurora-6-is-here/

          En fait tu as peut-être raison ! Ça a été corrigé depuis tu crois ? C'est vieux, si c'est le cas je vire ce passage de Wikipédia.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.